
const srcUrl = "/7ant/";
const statusUrl = srcUrl + "status/x"
const swOnUrl =  srcUrl + "swon/"
const swOffUrl = srcUrl + "swoff/"
const swToggleUrl = srcUrl+ "swtoggle/"


var tiWaiting = false;

function startDataRequest(){
       window.setInterval(getStatus,500)
     }

function getStatus(){
      tiWaiting = false;
      jQuery.getJSON(statusUrl, showStatus);
      
}

function showStatus(statusData){
      displayStatus(statusData);
      //enableTimer();
}

function enableTimer(){
       
       if (!tiWaiting){
           tiWaiting = true;
           window.setTimeout(getStatus,500);
       }
}

function displayStatus(statusData){
   // take status data and update page with given data
   // txr_frequencies
   // relais_status
   // switch status
   //console.log(statusData);
   if (statusData != null){
	   for (let trxId in statusData.frequencies){
	     $("#"+trxId+"freq").text(statusData.frequencies[trxId]);
	   }
	   for (let relId in statusData.relais){
     
	     $("#"+relId).text(statusData.relais[relId]? "On": "Off");
	   }
	   for (let swId in statusData.switches){
	     let jsId = "#"+swId+'button';
	     if (statusData.switches[swId]){
		  $(jsId).addClass("btn btn-success btn-xs");
		  $(jsId).removeClass("btn btn-warning btn-xs");
	     }
	     else{
		  $(jsId).addClass("btn btn-warning btn-xs");
		  $(jsId).removeClass("btn btn-success btn-xs");
	     }
	   }
  }

}

function switchOn(swId){
   jQuery.getJSON(swOnUrl+swId, displayStatus);    
}

function switchOff(swId){
   jQuery.getJSON(swOffUrl+swId, displayStatus);    
}


function switchToggle(swNumber){
   jQuery.getJSON(swToggleUrl+swNumber, displayStatus);
}

